Qt 4.4.3

Qt 4.4.3 disponibili per la prima volta per Mandriva Linux 2008.1

L’importante rilascio della norvegese Trolltech, la versione 4.4.3 del suo famoso toolkit grafico, è ora disponibile per Mandriva Linux 2008.1.

Sito di riferimento: http://trolltech.com

Qt 4.4 incorpora WebKit di default e questo permetterà a tutti i programmatori di sviluppare con maggiore facilità tutti i tipi di applicazioni. Molto interessante anche l’aggiunta di Phonon, framework multimediale di KDE 4, che grazie alle sue enormi potenzialità renderà più veloce l’integrazione di componenti multimediali nei programmi in via di sviluppo.
(fonte:http://www.ossblog.it/post/4072/trolltech-rilascia-le-librerie-qt-440)

Annuncio sul sito ufficiale:
http://trolltech.com/about/news/qt-4.4.3-released

Oslo, 28 September 2008 - Qt 4.4.3 is now available to commercial customers and the open source community. Qt is a cross-platform application framework for desktop and embedded development. Qt 4.4.3 is now available for customer use, evaluation and open source download.

Qt 4.4.3 includes updated copyright headers, as well as updated application icons and other graphics to reflect the look and feel of the new Qt brand. This specific release does not include bug fixes or optimizations made since the release of version 4.4.2 in September 2008. In addition to professional support, Qt commercial license holders receive regular releases as part of their annual license. All improvements to Qt are also released to the Open Source Community through GPL editions on all platforms.

For detailed information on fixes and optimizations included in the releases, please consult the changes-4.4.3 file found in the distribution files, or browse the information contained in the Developer Zone at: http://www.trolltech.com/developer/changes/changes-4.4.3

Sul forum ufficiale di Mandriva troviamo la discussione riguardante il backporting delle librerie QT4 per 2008.1.

http://forum.mandriva.com/viewtopic.php?p=592812#592812
Adam Williamson:
It would require rebuilding all QT4-based apps. Just won’t happen. Sorry

http://forum.mandriva.com/viewtopic.php?p=594068#594068
Adam Williamson:
The backports policy discourages backporting of libraries; backports is intended really for backporting ‘end of branch’ stuff - things that nothing else depends on. If you backport stuff that other stuff builds against, you can get undesired results.

Da quanto scrive sembra chiaro che Mandriva non ha intenzione di fare questo backporting.

E allora, secondo voi, il MIB che ci sta a fare…?

Et voilà, le Qt4 per 2008.1!!!


Elenco dei files:
(La lista dei file sotto elencati è solamente un esempio.
Sono disponibili per altre arch nelle rispettive cartelle /progs)

arch x86_64

http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qassistant4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qt3support4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qt4-devel-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtclucene4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtcore4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtdbus4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtdesigner4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtgui4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qthelp4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtnetwork4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtopengl4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtscript4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtsql4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtsvg4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qttest4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtwebkit4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtxml4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/lib64qtxmlpatterns4-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-accessibility-plugin-lib64-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-assistant-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-common-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-database-plugin-mysql-lib64-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-database-plugin-odbc-lib64-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-database-plugin-pgsql-lib64-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-database-plugin-sqlite-lib64-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-designer-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-doc-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-examples-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-linguist-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-qtconfig-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-qtdbus-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-qvfb-4.4.3-69mib2008.1.x86_64.rpm
http://mib.pianetalinux.org/2008.1/x86_64/progs/qt4-xmlpatterns-4.4.3-69mib2008.1.x86_64.rpm

seguiranno i pacchetti per le altre arch /versioni   MIB

Edited by Symbianflo

.

.

  • english
  • italian

5 Responses to “Qt 4.4.3”


  1. 1 bat86

    ciao,
    con questo porting si risolve il prblema di vlc? cioè le ultime versioni di vlc usano qt4 (no?) e si ha il problema, sotto kde3, di avere la finestra video separata dalla finestra comandi….con la relativa scomodità soprattutto in fullscreen.

  2. 2 nicco

    Tale problema e’ gia stato brillantemnte risolto dal MIB:
    Ultima versione di VLC dal MIB e’ stata compilata proprio con quelle e adesso la finestra dei comandi funziona anche in full screen…

    Come e’ che non te ne sei ancora accorto?

  3. 3 bat86

    non me ne sono accorto perchè ho “boicottato” vlc e mi sono tenuto la v. 0.9.3 proprio per questo problema.

    grazie della risposta Nicco!ora lo provo subito…

  4. 4 symbianflo

    Vi dico che come Grissino le ha portate in 2007.1 pure io adesso in 2008.1 finora tutti i pacchetti testati /compilati/installati funge una bellezza , e quindi A Williamson e normale che debba trovare una scusa perche non possono fare porting dei nuovi pacchetti per 2008.1 …..

  5. 5 Roberto

    ciao per fare gli aggiornamenti (erano un sacco di libqt..etc..) ho dovuto disinstallare wengophone perché c’era un problema di dipendenze con libqtuitools.. ora se provo a re-installarlo infatti mi dice:

    # urpmi wengophone
    I seguenti pacchetti non possono essere installati perché dipendono
    da pacchetti più vecchi di quelli già installati:
    libqtuitools4-4.3.3-1.1mib2007.1
    wengophone-2.1.99.1-2.xnc.mib2007.1
    libwengophone0-2.1.99.1-2.xnc.mib2007.1
    Continuo comunque l’istallazione? (S/n) n

    che faccio? ciao grazie!!

Leave a Reply